Bug 822949 - [abrt] geany-0.21-2.fc17: cached_icon_free: Process /usr/bin/geany was killed by signal 11 (SIGSEGV)
[abrt] geany-0.21-2.fc17: cached_icon_free: Process /usr/bin/geany was killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: geany (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
abrt_hash:9354783b5fc123e46ed6e3962cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 11:22 EDT by Sandro Mani
Modified: 2015-02-17 09:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:15:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.79 KB, text/plain)
2012-05-18 11:22 EDT, Sandro Mani
no flags Details
File: maps (46.55 KB, text/plain)
2012-05-18 11:22 EDT, Sandro Mani
no flags Details

  None (edit)
Description Sandro Mani 2012-05-18 11:22:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/geany /home/sandro/Desktop/tmp/test.cpp
comment:        Crashed without any apparent reason, application was idle in background.
crash_function: cached_icon_free
executable:     /usr/bin/geany
kernel:         3.3.4-1.fc17.x86_64
pid:            13829
pwd:            /home/sandro/.Data/Documents
remote_result:  NOTFOUND
time:           Fri 18 May 2012 04:58:58 PM CEST
uid:            1000
username:       sandro

backtrace:      Text file, 31525 bytes
maps:           Text file, 47667 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sandro/1

core_backtrace:
:811bceb152185fe3713b18338bc10f33154094b8 0x1473c g_object_unref libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x11169d - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1118a4 - libgtk-x11-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x38470 g_hash_table_foreach libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1119b2 - libgtk-x11-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x2cd20 g_datalist_clear libglib-2.0.so.0 -
:811bceb152185fe3713b18338bc10f33154094b8 0x14bdd - libgobject-2.0.so.0 -
:811bceb152185fe3713b18338bc10f33154094b8 0x148fb g_object_unref libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x19dc32 - libgtk-x11-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x38470 g_hash_table_foreach libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1a016b gtk_rc_reset_styles libgtk-x11-2.0.so.0 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x5e90 ffi_call_unix64 libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x58a0 ffi_call libffi.so.5 -
:811bceb152185fe3713b18338bc10f33154094b8 0x1081b g_cclosure_marshal_generic_va libgobject-2.0.so.0 -
:811bceb152185fe3713b18338bc10f33154094b8 0xfaf3 - libgobject-2.0.so.0 -
:811bceb152185fe3713b18338bc10f33154094b8 0x292d5 g_signal_emit_valist libgobject-2.0.so.0 -
:811bceb152185fe3713b18338bc10f33154094b8 0x29982 g_signal_emit libgobject-2.0.so.0 -
:7987650f14a7985a28519e90db96e33d6663e12b 0x562a1 - libgio-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x47815 g_main_context_dispatch libglib-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x47b48 - libglib-2.0.so.0 -
:c0df081b565ef88f155cf8d19ba042a20cdaba6d 0x47f42 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:11ceb5cadf7ae31124b2030ee3e5b8929597b99d 0x1ba52 - [exe] -

dso_list:
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-4.fc17.noarch (Fedora Project) 1327152695
:/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1327152826
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.4.0-1.fc17.noarch (Fedora Project) 1333825694
:/usr/share/vte/termcap-0.0/xterm vte-0.28.2-5.fc18.x86_64 (Fedora Project) 1333578211
:/usr/lib64/libvte.so.9.2800.2 vte-0.28.2-5.fc18.x86_64 (Fedora Project) 1333578211
:/usr/share/fonts/dejavu/DejaVuSansMono-BoldOblique.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1327153157
:/usr/share/fonts/dejavu/DejaVuSansMono.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1327153157
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-xpm.so gdk-pixbuf2-2.26.1-1.fc17.x86_64 (Fedora Project) 1335200438
:/usr/share/mime/mime.cache shared-mime-info-1.0-3.fc18.x86_64 (Fedora Project) 1336822175
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.13.0-1.fc18.x86_64 (Fedora Project) 1335998779
:/usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf dejavu-sans-mono-fonts-2.33-3.fc17.noarch (Fedora Project) 1327153157
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-3.fc17.noarch (Fedora Project) 1327152826
:/usr/lib64/gio/modules/libgioremote-volume-monitor.so gvfs-1.13.0-1.fc18.x86_64 (Fedora Project) 1335998779

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=661
:HOSTNAME=PC4
:DM_CONTROL=/var/run/xdmctl
:SCHOOL=/home/sandro/Documents/School/ETHZ/
:XDG_MENU_PREFIX=kde4-
:UGII_BASE_DIR=/home/sandro/.Data/Programs/NX6
:SHELL=/bin/bash
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/sandro/.gtkrc-2.0:/home/sandro/.gtkrc-2.0-kde4:/home/sandro/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:USER=sandro
:XCURSOR_SIZE=0
:SSH_AUTH_SOCK=/tmp/ssh-QVFaWoiUC629/agent.629
:MAIL=/var/spool/mail/sandro
:DESKTOP_SESSION=default
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/sandro/.local/bin:/home/sandro/bin
:PWD=/home/sandro
:UGS_LICENSE_SERVER=28000@plmserv
:KDE_SESSION_UID=1000
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/sandro
:KDE_SESSION_VERSION=4
:XCURSOR_THEME=Adwaita
:LOGNAME=sandro
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-LThZnUzmrX,guid=fef0627ccdca16f78bdd2fb200000026
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sandro
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/sandro/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:UGII_ROOT_DIR=/home/sandro/.Data/Programs/NX6/ugii
:XAUTHORITY=/tmp/kde-sandro/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/721,unix/unix:/tmp/.ICE-unix/721
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/sandro/.gtkrc:/home/sandro/.kde/share/config/gtkrc
:DESKTOP_STARTUP_ID=PC4;1336944579;24169;1766_TIME280591551

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62898                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62898                62898                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[16305]
:pos:	0
:flags:	00
:1:/home/sandro/.xsession-errors
:pos:	3142100
:flags:	0100001
:2:/home/sandro/.xsession-errors
:pos:	3142100
:flags:	0100001
:3:socket:[3378412]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3378414]
:pos:	0
:flags:	02
:6:/dev/ptmx
:pos:	0
:flags:	0104002
:7:/dev/pts/2
:pos:	0
:flags:	0100002
:8:socket:[3378421]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:socket:[3378427]
:pos:	0
:flags:	02
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[4103997]
:pos:	0
:flags:	02004002
:13:/tmp/vteCQDQEW (deleted)
:pos:	27771
:flags:	0100002
:14:/tmp/vte5UDQEW (deleted)
:pos:	7616
:flags:	0100002
:15:/tmp/vteJTVQEW (deleted)
:pos:	8526
:flags:	0100002
:16:/tmp/vteQNVQEW (deleted)
:pos:	8000
:flags:	0100002

var_log_messages:
:May 18 16:58:58 PC4 kernel: [436322.151909] geany[13829]: segfault at 31 ip 0000003e0221473c sp 00007fff85a8d8a0 error 4 in libgobject-2.0.so.0.3301.0.#prelink#.cOSdJ1 (deleted)[3e02200000+4d000]
:May 18 16:58:58 PC4 abrt[29125]: File '/usr/bin/geany' seems to be deleted
:May 18 16:59:16 PC4 abrt[29125]: Saved core dump of pid 13829 (/usr/bin/geany) to /var/spool/abrt/ccpp-2012-05-18-16:58:58-13829 (903127040 bytes)
Comment 1 Sandro Mani 2012-05-18 11:22:42 EDT
Created attachment 585436 [details]
File: backtrace
Comment 2 Sandro Mani 2012-05-18 11:22:44 EDT
Created attachment 585437 [details]
File: maps
Comment 3 Fedora End Of Life 2013-04-03 11:25:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:09:17 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:15:32 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.